<?php

if(!isset($model->Cliente->CLI_IDCLIENTE)) {
    User::blockAction('Não foi possível identificar o cliente deste atendimento');
}
if (!$model->Cliente->isAllowed()) {
    User::blockAction('Este atendimento é de um cliente que não pertence a sua região ou Unidade de Negócios');
}

$RegioesCidades = Regioescidades::model()->find('RCD_IDCIDADE = ' . $model->Cliente->CLI_CIDADE);

if (strlen($model->Cliente->CLI_CNPJCPF) == 14) {
    $model->Cliente->CLI_CNPJCPF = substr($model->Cliente->CLI_CNPJCPF, 0, 2) . '.' . substr($model->Cliente->CLI_CNPJCPF, 2, 3) . '.' . substr($model->Cliente->CLI_CNPJCPF, 5, 3) . '/' . substr($model->Cliente->CLI_CNPJCPF, 8, 4) . '-' . substr($model->Cliente->CLI_CNPJCPF, 12, 2);
} elseif (strlen($model->Cliente->CLI_CNPJCPF) == 11) {
    $model->Cliente->CLI_CNPJCPF = substr($model->Cliente->CLI_CNPJCPF, 0, 3) . '.' . substr($model->Cliente->CLI_CNPJCPF, 3, 3) . '.' . substr($model->Cliente->CLI_CNPJCPF, 6, 3) . '-' . substr($model->Cliente->CLI_CNPJCPF, 9, 2);
}


$this->layout = 'pdf';
$pdf = Yii::createComponent('application.extensions.tcpdf.ETcPdf', 'L', 'cm', 'A4', true, 'UTF-8');
$pdf->setMargins(0.50, 0.50, 0.50);
$pdf->SetAuthor("Windel Sistemas");
$pdf->SetTitle('Atendimento cod. ' . $model->ATD_IDATENDIMENTO);
$pdf->setPrintHeader(false);
$pdf->setPrintFooter(false);
$pdf->AliasNbPages();
$pdf->setFont('Helvetica', '', 12);
$pdf->SetAutoPageBreak(TRUE, 0.50);
$pdf->AddPage();

        $servico = '<td width="50%">'
        . '<table width="95%" border="1" bordercolor="#000"><tr><td>'
        . '<table width="100%" cellpadding="5">'
        . '<tr>'
        . '<td width="150" align="left"><img src="'.$RegioesCidades->Revenda->getLogoUrl().'" width="150" height="38" /></td>'
        . '<td align="right" width="220"><font size="9">' . $RegioesCidades->Revenda->REV_ENDERECO . '<br />' . $RegioesCidades->Revenda->Cidade->CID_DESCRICAO . ' - ' . $RegioesCidades->Revenda->Cidade->CID_UF . '<br />Telefone: ' . $RegioesCidades->Revenda->REV_FONE1 . '<br />' . $RegioesCidades->Revenda->REV_EMAIL . '<br />' . $RegioesCidades->Revenda->REV_SITE . '</font></td>'
        . '</tr>'
        . '</table>'
        . '</td></tr></table><br /><br />'
        . '<table width="95%" border="1" bordercolor="#000" cellpadding="5"><tr><td>'
        . '<table width="100%" cellpadding="5">'
        . '<tr><td><font size="9"><strong>Cliente:</strong> ' . $model->Cliente . '</font></td></tr>'
        . '<tr><td width="50%"><font size="9"><strong>CNPJ / CPF:</strong> ' . $model->Cliente->CLI_CNPJCPF . '</font></td><td width="50%"><font size="9"><strong>Cidade:</strong> ' . $model->Cliente->Cidade . ' - ' . $model->Cliente->Cidade->CID_UF . '</font></td></tr>'
        . '</table>'
        . '</td></tr></table><br />'
        . '<table width="95%" cellpadding="7"><tr><td align="center">DESCRIÇÃO DOS SERVIÇOS PRESTADOS</td></tr></table>'
        . '<table width="95%" border="1" bordercolor="#000" cellpadding="5"><tr><td height="210"><font size="10">' . nl2br($model->ATD_OBS) . '</font></td></tr><tr>'
        .'<td height="10" width="50%"><font size="10"><strong>Versão do Sistema</strong>: ' . $model->Versao . '</font></td>'
        .'<td height="10" width="50%"><font size="10"><strong>Atendimento</strong>: '.$model->ATD_IDATENDIMENTO.'</font></td>'
        .'</tr></table><br />'
        .'<table width="95%" align="left" style="padding-top:4px;padding-bottom:4px;"><tr>'
        .'<td align="left"><font size="10">Hora da Chegada: ' . $model->horaInicial().'</font></td>'
        .'<td align="center"><font size="10">Hora da Saída: ' . $model->horaFinal().'</font></td>'
        .'<td align="right"><font size="10">Total de Horas: ' . $model->horaTotal().'</font></td>'
        .'</tr>'
        .( $model->hasHorasReduzidas() ? '<tr>'
        .'<td align="left"><font size="10">Horas de treinamento: ' . $model->horasImplantacao().'</font></td>'
        .'<td align="center"><font size="10">'.($model->hasHorasDisponiveis() ? '&nbsp;&nbsp;&nbsp;Saldo disponível: ' . $model->horasDisponiveis() : '').'</font></td>'
        .'<td align="right"></td>'
        .'</tr>': '')
        .'</table>'
        . '<table width="95%" border="1" bordercolor="#000" cellpadding="5"><tr><td>'
        . '<table width="100%" cellpadding="5">'
        . '<tr><td width="40%"><p align="center"><font size="9"><br />_______________________<br />' . $model->ATD_CONTATO . '</font></p></td><td width="40%"><p align="center"><font size="9"><br />_______________________<br />' . $model->Atendente . '</font></p></td><td width="20%"><p align="center"><font size="9"><br /><u>  ' . $model->ATD_DTCADASTRO . '  </u><br />Data</font></p></td></tr>'
        . '</table>'
        . '</td></tr></table><br /><br />'
        . '<table width="95%"><tr><td><p align="center"><font size="7">FAVOR CONFERIR A DESCRIÇÃO DE SERVIÇOS PRESTADOS ANTES DE ASSINAR ESTE DOCUMENTO</font></p></td></tr></table>'
        . '<table width="95%"><tr><td><div style="text-align:center;"><img width="40" src="'.FaHtml::getImgUrl('logo-atendimento-novo.jpg', true).'" /></div></td></tr></table></td>';

        $HTML = '<table width="100%"><tr>';
        $HTML .= $servico;
        $HTML .= '<td width="2%"></td>';
        $HTML .= $servico;
        $HTML .= '</tr></table>';

$pdf->writeHTML(utf8_encode($HTML), true, 0, true, true);
$pdf->Output("atendimento-'$model->ATD_IDATENDIMENTO'.pdf", "I");